Subject: Re: bug#18389: 24.3.93; HMS substraction in Calc hangs Emacs

From: Jay Belanger <[email-masked]>
Date: Tue, 02 Sep 2014 20:41:04 -0500

> `emacs -Q'.  Please open Calc (C-x * *) and type `@ 1 RET', `@ 2 RET'
> and `-' (substract 2 minutes from 1 min.).  This hangs Emacs seemingly
> for ever, even though substraction with negative results are permitted
> for hours (`1 @ RET', `2 @ RET' and `-').

Calc goes into a loop when trying to put the result into proper form.
This isn't a regression; it has been around for a while; I commit a fix
to the trunk tomorrow.

Jay